Irrlicht Engine: irr::scene::IParticleRingEmitter Class Reference

Home | Namespaces | Hierarchy | Alphabetical List | Class list | Files | Namespace Members | Class members | File members | Tutorials

# irr::scene::IParticleRingEmitter Class Reference

A particle emitter which emits particles along a ring shaped area. More...

`#include <IParticleRingEmitter.h>`

Inheritance diagram for irr::scene::IParticleRingEmitter:

List of all members.

## Public Member Functions
virtual const core::vector3df & | getCenter () const =0
| Get the center of the ring.
virtual f32 | getRadius () const =0
| Get the radius of the ring.
virtual f32 | getRingThickness () const =0
| Get the thickness of the ring.
virtual E_PARTICLE_EMITTER_TYPE | getType () const
| Get emitter type.
virtual void | setCenter (const core::vector3df &center)=0
| Set the center of the ring.
virtual void | setRadius (f32 radius)=0
| Set the radius of the ring.
virtual void | setRingThickness (f32 ringThickness)=0
| Set the thickness of the ring.

## Detailed Description

A particle emitter which emits particles along a ring shaped area.

Definition at line 16 of file IParticleRingEmitter.h.

## Member Function Documentation

virtual const core::vector3df& irr::scene::IParticleRingEmitter::getCenter | ( |  | ) | const`[pure virtual]`

Get the center of the ring.

virtual f32 irr::scene::IParticleRingEmitter::getRadius | ( |  | ) | const`[pure virtual]`

Get the radius of the ring.

virtual f32 irr::scene::IParticleRingEmitter::getRingThickness | ( |  | ) | const`[pure virtual]`

Get the thickness of the ring.

virtual E_PARTICLE_EMITTER_TYPE irr::scene::IParticleRingEmitter::getType | ( |  | ) | const`[inline, virtual]`

Get emitter type.

Reimplemented from irr::scene::IParticleEmitter.

Definition at line 39 of file IParticleRingEmitter.h.

References irr::scene::EPET_RING.

virtual void irr::scene::IParticleRingEmitter::setCenter | ( | const core::vector3df & | center | ) | `[pure virtual]`

Set the center of the ring.

virtual void irr::scene::IParticleRingEmitter::setRadius | ( | f32 | radius | ) | `[pure virtual]`

Set the radius of the ring.

virtual void irr::scene::IParticleRingEmitter::setRingThickness | ( | f32 | ringThickness | ) | `[pure virtual]`

Set the thickness of the ring.

The documentation for this class was generated from the following file:

- IParticleRingEmitter.h

| The Irrlicht Engine Documentation © 2003-2010 by Nikolaus Gebhardt. Generated on Sun Oct 24 12:42:07 2010 by Doxygen (1.6.2)